tt_spec_create(library call)

NAME
tt_spec_create — create an in-memory spec for an object

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_spec_create(
const char *filepath);

DESCRIPTION

The tt_spec_create function creates a spec (in memory) for an object.

The application can use the objid returned in future calls to manipulate the object.

The filepath argument is the name of the file.

RETURN VALUE

Upon successful completion, the tt_spec_create function returns the identifier for this object. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OTYPE
    The specified object type is not the name of an installed object type.

TT_ERR_PATH
    The specified pathname included an unsearchable directory.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

To make the object a permanent ToolTalk item or one visible to other processes, the creating process must call tt_spec_write(3).

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_spec_type_set(3), tt_spec_write(3), tt_ptr_error(3), tt_free(3).